![Web Developer Roadmap - 2021](./.github/images/banner.png)

> Community effort to create roadmaps, guides and structured educational content.

[![](https://img.shields.io/badge/-Roadmaps%20-0a0a0a.svg?style=flat&colorA=0a0a0a)](http://roadmap.sh)
[![](https://img.shields.io/badge/-Guides-0a0a0a.svg?style=flat&colorA=0a0a0a)](http://roadmap.sh/guides)
[![](https://img.shields.io/badge/-Videos-0a0a0a.svg?style=flat&colorA=0a0a0a)](http://roadmap.sh/watch)
[![](https://img.shields.io/badge/%E2%9D%A4-YouTube%20Channel-0a0a0a.svg?style=flat&colorA=0a0a0a)](https://www.youtube.com/channel/UCA0H2KIWgWTwpTFjSxp0now?sub_confirmation=1)

![](https://i.imgur.com/waxVImv.png)

Roadmaps are being made interactive and have been moved to website.

### [View all Roadmaps](https://roadmap.sh)

![](https://i.imgur.com/waxVImv.png)

Here is the list of available roadmaps with more being actively worked upon.

- [Frontend Roadmap](https://roadmap.sh/frontend)
- [Backend Roadmap](https://roadmap.sh/backend)
- [DevOps Roadmap](https://roadmap.sh/devops)
- [React Roadmap](https://roadmap.sh/react)
- [Angular Roadmap](https://roadmap.sh/angular)
- [Android Roadmap](https://roadmap.sh/android)
- [Python Roadmap](https://roadmap.sh/python)
- [Go Roadmap](https://roadmap.sh/golang)
- [Java Roadmap](https://roadmap.sh/java)
- [DBA Roadmap](https://roadmap.sh/postgresql-dba)

![](https://i.imgur.com/waxVImv.png)

If you think that these can be improved in any way, please do suggest. Also, if you would like to contribute to existing roadmaps or add a new roadmap, please open an issue or reach out to [@kamranahmedse](https://twitter.com/kamranahmedse).

## Development

Clone the repository, install the dependencies and start the application

```bash
git clone git@github.com:kamranahmedse/developer-roadmap.git
npm install
npm run dev
```

## Contribution

> Have a look at [contribution docs](./contributing) for how to update any of the roadmaps

- Suggest changes to existing roadmaps
- Improve the site's codebase
- Add new Roadmap
- Write tests
- Discuss ideas in issues
- Spread the word

<br>
<br>
<br>

<div align="center">
	<p>
		<sup>
			<a href="https://github.com/sponsors/kamranahmedse">My open source work is supported by the community</a>
		</sup>
	</p>
	<sup>Special thanks to:</sup>
	<br>
	<p>
	<a href="https://oss.capital">
		<div>
			<img src="./.github/sponsors/oss-logo.svg" width="300" alt="OSS Capital">
		</div>
		<div>
			<sup><b>Founded in 2018, OSS Capital is the first and only venture capital platform focused<br>exclusively on supporting early-stage COSS (commercial open source) startup founders.</b></sup>
		</div>
	</a>
	</p>
</div>

<br>
<br>

## License

Have a look at the [license file](./LICENSE) for details
